CCfits 2.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CCfits::FitsException Class Reference
FITS Exceptions

FitsException is the base class for all exceptions thrown by this library. More...

`#include <FitsError.h>`

Inheritance diagram for CCfits::FitsException:

List of all members.

## Public Member Functions

| FitsException (const string &msg, bool &silent)
const string & | message () const
| returns the error message

## Detailed Description

FitsException is the base class for all exceptions thrown by this library.

All exceptions derived from this class can be caught by a single 'catch' clause catching FitsException by reference (which is the point of this base class design).

A static "verboseMode" parameter is provided by the FITS class to control diagnostics - if FITS::verboseMode() is true, all diagnostics are printed (for debugging purposes). If not, then a boolean silent determines printing of messages. Each exception derived from FitsException must define a default value for the silent parameter.

## Constructor & Destructor Documentation

CCfits::FitsException::FitsException | ( | const string & | diag,
|  | bool & | silent
| ) |  |

Parameters:

  diag | A diagnostic string to be printed optionally.
  silent | A boolean controlling the printing of messages

## Member Function Documentation

const string & CCfits::FitsException::message | ( |  | ) | const`[inline]`

returns the error message

This returns the diagnostic error message associated with the exception object, and which is accessible regardless of the verboseMode and silent flag settings.

The documentation for this class was generated from the following files:

- FitsError.h
- FitsError.cxx